classification
Title: removal of two unused variable in locale.py
Type: resource usage Stage: resolved
Components: Library (Lib) Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jcea Nosy List: eric.araujo, flox, jcea, nicoe, petri.lehtinen, python-dev
Priority: low Keywords: patch

Created on 2011-10-28 10:14 by nicoe, last changed 2011-11-07 16:25 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
locale.diff nicoe, 2011-10-28 10:14
Messages (7)
msg146549 - (view) Author: Nicolas Évrard (nicoe) * Date: 2011-10-28 10:14
While using pyflake on some of my file I noticed in a copied version of _group two unused variables.

The attached patch fixed that very little annoyance.
msg146577 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2011-10-28 20:52
This patch looks good.
Is it relevant for minor releases 2.7.3 and 3.2.3? I cannot confirm.
msg146698 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2011-10-31 15:05
2.7 is a long term maintenance branch, and this patch is trivial enough. I think it is risk free :)
msg146699 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-10-31 15:05
New changeset 0694ebb5db99 by Jesus Cea in branch '2.7':
Closes #13283: removal of two unused variable in locale.py
http://hg.python.org/cpython/rev/0694ebb5db99

New changeset a479aad0231e by Jesus Cea in branch '3.2':
Closes #13283: removal of two unused variable in locale.py
http://hg.python.org/cpython/rev/a479aad0231e

New changeset a228890c624d by Jesus Cea in branch 'default':
MERGE: Closes #13283: removal of two unused variable in locale.py
http://hg.python.org/cpython/rev/a228890c624d
msg147015 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-04 17:00
Our policy is to not commit code cleanup patches that are not strict bug fixes; see thread at http://mail.python.org/pipermail/python-dev/2011-October/114281.html and http://mail.python.org/pipermail/python-dev/2011-November/114301.html
msg147200 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2011-11-07 03:31
Éric, thanks for paying attention to this. In this particular case, I checked the code and verified that the variables were not used anywhere. But I will comply with the policy in the future.

Thanks again for pointing out.
msg147235 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-07 16:25
> Éric, thanks for paying attention to this.
You’re welcome.  I hope that my commits get reviewed too.

> In this particular case, I checked the code and verified that the
> variables were not used anywhere.
Yep, I can’t imagine third-party code being broken by this, contrary to module-level names for example.
History
Date User Action Args
2011-11-07 16:25:30eric.araujosetmessages: + msg147235
2011-11-07 03:31:01jceasetmessages: + msg147200
2011-11-04 17:00:55eric.araujosetnosy: + eric.araujo
messages: + msg147015
2011-10-31 15:05:53python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg146699

resolution: fixed
stage: patch review -> resolved
2011-10-31 15:05:39jceasetassignee: jcea

messages: + msg146698
nosy: + jcea
2011-10-28 20:52:50floxsetpriority: normal -> low
versions: + Python 3.2, Python 3.3
nosy: + flox

messages: + msg146577
2011-10-28 18:50:01petri.lehtinensetnosy: + petri.lehtinen

stage: patch review
2011-10-28 10:14:22nicoecreate